<navbar *ngIf="project" [current_project]="project.projectName"></navbar>

<div *ngIf="!patterns">
	Loading...
</div>

<loading bsModal #loading="bs-modal" class="modal fade" tabindex="-1" role="dialog" aria-labelledby="mySmallModalLabel" aria-hidden="true" [message]="'the network is loading'" (onHide)="loaded=true"></loading>

<prefixes *ngIf="current_prefixes" bsModal #prefixes="bs-modal" class="modal fade" tabindex="-1" role="dialog" aria-labelledby="mySmallModalLabel" aria-hidden="true" [prefixes]="current_prefixes"></prefixes>

<confirm *ngIf="show_confirm" [title]="confirm_title" [message]="confirm_message" [callback]="confirm_callback" [param]="confirm_param"></confirm>

<br>

<!-- <edit-network *ngIf="project" [projectName]="project.projectName"></edit-network> -->
<p style="text-align: center"> <b>Welcome to the admin interface !</b><br>
Here you can visualize your ontology, but also edit the patterns, subpatterns and triples. To delete a triple, click on an edge, and select 'delete triple'.
</p>

<div class="row">

    <add-pattern *ngIf="project && new_pattern" [current_project]="project"></add-pattern>

    <add-subpattern *ngIf="project && host_pattern" [current_project]="project" [pattern]="host_pattern"></add-subpattern>

    <add-triple *ngIf="project && host_triple" [current_project]="project" [subpattern]="host_triple"></add-triple>
    
    <div id="graph" class="col-xs-10 col-xs-offset-1 col-md-7"></div>
    
    <div *ngIf="selected_triple" class="col-xs-10 col-xs-offset-1 col-md-3 col-md-offset-1">
        You've selected {{selected_triple.e1.name}} - {{selected_triple.e2.name}} - {{selected_triple.e3.name}}.
        <button class="btn btn-primary" (click)="confirmDelete(selected_triple)">
        <i class="fa fa-times icon" aria-hidden="true"></i>
         Delete triple
         </button>
    </div>

    <span class="col-xs-10 col-xs-offset-1 col-md-3 col-md-offset-1">
        <span *ngIf="current_pattern"> <b>Current pattern</b> : {{current_pattern.name}}</span>
        <span *ngIf="!current_pattern"> All patterns are shown. </span>
    </span>
    
    <div class="col-xs-10 col-xs-offset-1 col-md-3 col-md-offset-1">
       Only show selected pattern
        <div class="material-switch pull-right">
            <input id="someSwitchOptionDefault" name="someSwitchOption001" type="checkbox" [checked]="show_only_pattern" (change)="showOnlyPattern()"/>
            <label for="someSwitchOptionDefault" class="label-default"></label>
        </div> 
    </div>

    <div *ngIf="loaded" class="sp-hierarchy col-xs-10 col-xs-offset-1 col-md-3">
        <sp-hierarchy [patterns]="patterns" [current_pattern] = "current_pattern"></sp-hierarchy>
        <a (click)="new_pattern = true;">
            <i class="fa fa-plus" aria-hidden="true"></i>
            Add a pattern
        </a>
    </div>
    

    <div class="sp-hierarchy col-xs-10 col-xs-offset-1 col-md-3">
        <i>Legend</i><br>
        <span class="legend_selected">____</span> Selected subpattern<br>
        <img src="./assets/qualifying.png"> Qualifying node<br>
        <img src="./assets/non_qualifying.png"> Non-qualifying node<br>
        <br>
    </div>

    <span *ngIf="current_pattern" class="col-xs-7"> 
        <b>Sentence template of pattern {{current_pattern.name}}</b> : {{current_pattern.sentenceTemplate}}
    </span>

    <div  *ngIf="current_prefixes" class="col-xs-5">
        <a (click)="prefixes.show()"> Show prefixes URI </a>
    </div>
    
    <br><br>


    <div *ngIf="clicked_node" class="col-xs-8 col-xs-offset-2">
        <h3> Node details </h3>
        <span *ngIf="clicked_node.id"> <b>ID</b> : {{clicked_node.id}}<br></span>
    </div>
</div>
